org.apache.cassandra.cql3

## Class CFDefinition

- java.lang.Object
- - org.apache.cassandra.cql3.CFDefinition

- All Implemented Interfaces:
    java.lang.Iterable<CFDefinition.Name>

      public class CFDefinition
      extends java.lang.Object
      implements java.lang.Iterable<CFDefinition.Name>

  Holds metadata on a CF preprocessed for use by CQL queries.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CFDefinition.Name`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `CFMetaData` | `cfm`
    `java.util.LinkedHashMap<ColumnIdentifier,CFDefinition.Name>` | `columns`
    `static AbstractType<?>` | `definitionType`
    `boolean` | `hasCollections`
    `boolean` | `hasCompositeKey`
    `boolean` | `isCompact`
    `boolean` | `isComposite`
    `java.util.LinkedHashMap<ColumnIdentifier,CFDefinition.Name>` | `keys`
    `java.util.Map<ColumnIdentifier,CFDefinition.Name>` | `metadata`
    `CFDefinition.Name` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CFDefinition(CFMetaData cfm)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CFDefinition.Name` | `get(ColumnIdentifier name)`
    `ColumnToCollectionType` | `getCollectionType()`
    `ColumnNameBuilder` | `getColumnNameBuilder()`
    `ColumnNameBuilder` | `getKeyNameBuilder()`
    `java.util.Iterator<CFDefinition.Name>` | `iterator()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### definitionType

          public static final AbstractType<?> definitionType

    - #### cfm

          public final CFMetaData cfm

    - #### keys

          public final java.util.LinkedHashMap<ColumnIdentifier,CFDefinition.Name> keys

    - #### columns

          public final java.util.LinkedHashMap<ColumnIdentifier,CFDefinition.Name> columns

    - #### value

          public final CFDefinition.Name value

    - #### metadata

          public final java.util.Map<ColumnIdentifier,CFDefinition.Name> metadata

    - #### isComposite

          public final boolean isComposite

    - #### hasCompositeKey

          public final boolean hasCompositeKey

    - #### isCompact

          public final boolean isCompact

    - #### hasCollections

          public final boolean hasCollections

  - ### Constructor Detail

    - #### CFDefinition

          public CFDefinition(CFMetaData cfm)

  - ### Method Detail

    - #### getCollectionType

          public ColumnToCollectionType getCollectionType()

    - #### get

          public CFDefinition.Name get(ColumnIdentifier name)

    - #### iterator

          public java.util.Iterator<CFDefinition.Name> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<CFDefinition.Name>`

    - #### getKeyNameBuilder

          public ColumnNameBuilder getKeyNameBuilder()

    - #### getColumnNameBuilder

          public ColumnNameBuilder getColumnNameBuilder()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation